Package org.jcsp.net.remote

# Class RemoteSpawnException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.jcsp.net.remote.RemoteSpawnException

All Implemented Interfaces:
  `Serializable`

public class RemoteSpawnException extends RuntimeException
Wraps up a non-RuntimeException into a runtime exception that can be ignored or caught and rethrown if required.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`final Throwable`
`cause`
The actual exception.

## Constructor Summary

Constructors
Constructor
Description
`RemoteSpawnException(Throwable cause)`
Constructs a new exception.

## Method Summary

Modifier and Type
Method
Description
`void`
`printStackTrace()`
Prints the stack trace of the actual exception.
`void`
`rethrow()`
Rethrows the actual exception.
`String`
`toString()`
Returns a string representation of the actual exception.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### cause

public final Throwable cause
The actual exception.

## Constructor Details

### RemoteSpawnException

public RemoteSpawnException(Throwable cause)
Constructs a new exception.

Parameters:
  `cause` - the actual exception.

## Method Details

### rethrow

public void rethrow() throws Throwable
Rethrows the actual exception.

Throws:
  `Throwable`

### printStackTrace

public void printStackTrace()
Prints the stack trace of the actual exception.

Overrides:
  `printStackTrace` in class `Throwable`

### toString

public String toString()
Returns a string representation of the actual exception.

Overrides:
  `toString` in class `Throwable`